#ifndef MSP_CORE_ALGORITHM_H_
#define MSP_CORE_ALGORITHM_H_

#include <algorithm>

namespace Msp {

template<typename Container, typename T>
typename Container::iterator find(Container &cont, const T &value)
{
	return std::find(cont.begin(), cont.end(), value);
}

template<typename Container, typename T>
typename Container::const_iterator find(const Container &cont, const T &value)
{
	return std::find(cont.begin(), cont.end(), value);
}

template<typename Container, typename Predicate>
typename Container::iterator find_if(Container &cont, Predicate pred)
{
	return std::find_if(cont.begin(), cont.end(), pred);
}

template<typename Container, typename Predicate>
typename Container::const_iterator find_if(const Container &cont, Predicate pred)
{
	return std::find_if(cont.begin(), cont.end(), pred);
}

} // namespace Msp

#endif
